Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkResponseMessageElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>
              org.semanticweb.owlapi.owllink.parser.OWLlinkResponseMessageElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<java.util.List<java.lang.Object>>

    public class OWLlinkResponseMessageElementHandler

extends AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 23.10.2009

Field Summary
`protected java.util.List<java.lang.Object>` | `responses`

Constructor Summary
`OWLlinkResponseMessageElementHandler(OWLlinkXMLParserHandler handler)`

Method Summary
`void` | `attribute(java.lang.String localName, java.lang.String value)`
`void` | `endElement()`
`java.util.List<java.lang.Object>` | `getOWLLinkObject()`
`protected void` | `handle(Response response)`
`void` | `handleChild(OWLlinkBooleanResponseElementHandler handler)`
`void` | `handleChild(OWLlinkClassSynsetElementHandler handler)`
`void` | `handleChild(OWLlinkDataPropertySynsetElementHandler handler)`
`void` | `handleChild(OWLlinkElementHandler handler)`
`void` | `handleChild(OWLlinkErrorElementHandler handler)`
`void` | `handleChild(OWLlinkObjectPropertySynsetElementHandler handler)`
`void` | `handleChild(OWLlinkResponseElementHandler handler)`
`void` | `handleChild(OWLlinkStringResponseElementHandler handler)`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, getRequest, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### responses

    protected java.util.List<java.lang.Object> responses

Constructor Detail

### OWLlinkResponseMessageElementHandler

    public OWLlinkResponseMessageElementHandler(OWLlinkXMLParserHandler handler)

Method Detail

### attribute

    public void attribute(java.lang.String localName,
                          java.lang.String value)
                   throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### getOWLLinkObject

    public java.util.List<java.lang.Object> getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<java.util.List<java.lang.Object>>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>`

### handleChild

    public void handleChild(OWLlinkElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<java.util.List<java.lang.Object>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>`

### endElement

    public void endElement()
                    throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### handleChild

    public void handleChild(OWLlinkResponseElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<java.util.List<java.lang.Object>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>`

### handleChild

    public void handleChild(OWLlinkErrorElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<java.util.List<java.lang.Object>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>`

### handle

    protected void handle(Response response)

### handleChild

    public void handleChild(OWLlinkClassSynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<java.util.List<java.lang.Object>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>`

### handleChild

    public void handleChild(OWLlinkObjectPropertySynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<java.util.List<java.lang.Object>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>`

### handleChild

    public void handleChild(OWLlinkDataPropertySynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<java.util.List<java.lang.Object>>`
  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>`

### handleChild

    public void handleChild(OWLlinkBooleanResponseElementHandler handler)

  Overrides:
    `handleChild` in class `AbstractOWLlinkElementHandler<java.util.List<java.lang.Object>>`

### handleChild

    public void handleChild(OWLlinkStringResponseElementHandler handler)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD